import request from '@/utils/request'

// 查询商品订单临时列表
export function listGoodsOrderCursor(query) {
  return request({
    url: '/system/GoodsOrderCursor/list',
    method: 'get',
    params: query
  })
}

// 查询商品订单临时详细
export function getGoodsOrderCursor(id) {
  return request({
    url: '/system/GoodsOrderCursor/' + id,
    method: 'get'
  })
}

// 新增商品订单临时
export function addGoodsOrderCursor(data) {
  return request({
    url: '/system/GoodsOrderCursor',
    method: 'post',
    data: data
  })
}

// 修改商品订单临时
export function updateGoodsOrderCursor(data) {
  return request({
    url: '/system/GoodsOrderCursor',
    method: 'put',
    data: data
  })
}

// 删除商品订单临时
export function delGoodsOrderCursor(id) {
  return request({
    url: '/system/GoodsOrderCursor/' + id,
    method: 'delete'
  })
}
